diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/press-this.php ./wordpress-3.3/wp-admin/press-this.php
*** ./wordpress-3.2.1/wp-admin/press-this.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/press-this.php	2011-11-23 14:32:21.000000000 -0600
***************
*** 26,44 ****
   * @return int Post ID
   */
  function press_it() {
- 	// define some basic variables
- 	$quick = array();
- 	$quick['post_status'] = 'draft'; // set as draft first
- 	$quick['post_category'] = isset($_POST['post_category']) ? $_POST['post_category'] : null;
- 	$quick['tax_input'] = isset($_POST['tax_input']) ? $_POST['tax_input'] : null;
- 	$quick['post_title'] = ( trim($_POST['title']) != '' ) ? $_POST['title'] : '  ';
- 	$quick['post_content'] = isset($_POST['post_content']) ? $_POST['post_content'] : '';
- 
- 	// insert the post with nothing in it, to get an ID
- 	$post_ID = wp_insert_post($quick, true);
- 	if ( is_wp_error($post_ID) )
- 		wp_die($post_ID);
  
  	$content = isset($_POST['content']) ? $_POST['content'] : '';
  
  	$upload = false;
--- 26,42 ----
   * @return int Post ID
   */
  function press_it() {
  
+ 	$post = get_default_post_to_edit();
+ 	$post = get_object_vars($post);
+ 	$post_ID = $post['ID'] = (int) $_POST['post_id'];
+ 
+ 	if ( !current_user_can('edit_post', $post_ID) )
+ 		wp_die(__('You are not allowed to edit this post.'));
+ 
+ 	$post['post_category'] = isset($_POST['post_category']) ? $_POST['post_category'] : '';
+ 	$post['tax_input'] = isset($_POST['tax_input']) ? $_POST['tax_input'] : '';
+ 	$post['post_title'] = isset($_POST['title']) ? $_POST['title'] : '';
  	$content = isset($_POST['content']) ? $_POST['content'] : '';
  
  	$upload = false;
***************
*** 56,88 ****
  		}
  	}
  	// set the post_content and status
  	if ( isset( $_POST['publish'] ) && current_user_can( 'publish_posts' ) )
! 		$quick['post_status'] = 'publish';
  	elseif ( isset( $_POST['review'] ) )
! 		$quick['post_status'] = 'pending';
  	else
! 		$quick['post_status'] = 'draft';
! 	$quick['post_content'] = $content;
  	// error handling for media_sideload
  	if ( is_wp_error($upload) ) {
  		wp_delete_post($post_ID);
  		wp_die($upload);
  	} else {
  		// Post formats
! 		if ( current_theme_supports( 'post-formats' ) && isset( $_POST['post_format'] ) ) {
! 			$post_formats = get_theme_support( 'post-formats' );
! 			if ( is_array( $post_formats ) ) {
! 				$post_formats = $post_formats[0];
! 				if ( in_array( $_POST['post_format'], $post_formats ) )
! 					set_post_format( $post_ID, $_POST['post_format'] );
! 				elseif ( '0' == $_POST['post_format'] )
! 					set_post_format( $post_ID, false );
! 			}
  		}
  
! 		$quick['ID'] = $post_ID;
! 		wp_update_post($quick);
  	}
  	return $post_ID;
  }
  
--- 54,83 ----
  		}
  	}
  	// set the post_content and status
+ 	$post['post_content'] = $content;
  	if ( isset( $_POST['publish'] ) && current_user_can( 'publish_posts' ) )
! 		$post['post_status'] = 'publish';
  	elseif ( isset( $_POST['review'] ) )
! 		$post['post_status'] = 'pending';
  	else
! 		$post['post_status'] = 'draft';
! 
  	// error handling for media_sideload
  	if ( is_wp_error($upload) ) {
  		wp_delete_post($post_ID);
  		wp_die($upload);
  	} else {
  		// Post formats
! 		if ( isset( $_POST['post_format'] ) ) {
! 			if ( current_theme_supports( 'post-formats', $_POST['post_format'] ) )
! 				set_post_format( $post_ID, $_POST['post_format'] );
! 			elseif ( '0' == $_POST['post_format'] )
! 				set_post_format( $post_ID, false );
  		}
  
! 		$post_ID = wp_update_post($post);
  	}
+ 
  	return $post_ID;
  }
  
***************
*** 89,98 ****
  // For submitted posts.
  if ( isset($_REQUEST['action']) && 'post' == $_REQUEST['action'] ) {
  	check_admin_referer('press-this');
! 	$post_ID = press_it();
! 	$posted =  $post_ID;
  } else {
! 	$post_ID = 0;
  }
  
  // Set Variables
--- 84,93 ----
  // For submitted posts.
  if ( isset($_REQUEST['action']) && 'post' == $_REQUEST['action'] ) {
  	check_admin_referer('press-this');
! 	$posted = $post_ID = press_it();
  } else {
! 	$post = get_default_post_to_edit('post', true);
! 	$post_ID = $post->ID;
  }
  
  // Set Variables
***************
*** 144,162 ****
  					tb_remove();
  				});
  				jQuery('.select').click(function() {
! 					image_selector();
  				});
  				/* ]]> */
  			</script>
! 			<h3 class="tb"><label for="this_photo_description"><?php _e('Description') ?></label></h3>
  			<div class="titlediv">
  				<div class="titlewrap">
! 					<input id="this_photo_description" name="photo_description" class="tbtitle text" onkeypress="if(event.keyCode==13) image_selector();" value="<?php echo esc_attr($title);?>"/>
  				</div>
  			</div>
  
  			<p class="centered">
! 				<input type="hidden" name="this_photo" value="<?php echo esc_attr($image); ?>" id="this_photo" />
  				<a href="#" class="select">
  					<img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr(__('Click to insert.')); ?>" title="<?php echo esc_attr(__('Click to insert.')); ?>" />
  				</a>
--- 139,157 ----
  					tb_remove();
  				});
  				jQuery('.select').click(function() {
! 					image_selector(this);
  				});
  				/* ]]> */
  			</script>
! 			<h3 class="tb"><label for="tb_this_photo_description"><?php _e('Description') ?></label></h3>
  			<div class="titlediv">
  				<div class="titlewrap">
! 					<input id="tb_this_photo_description" name="photo_description" class="tb_this_photo_description tbtitle text" onkeypress="if(event.keyCode==13) image_selector(this);" value="<?php echo esc_attr($title);?>"/>
  				</div>
  			</div>
  
  			<p class="centered">
! 				<input type="hidden" name="this_photo" value="<?php echo esc_attr($image); ?>" id="tb_this_photo" class="tb_this_photo" />
  				<a href="#" class="select">
  					<img src="<?php echo esc_url($image); ?>" alt="<?php echo esc_attr(__('Click to insert.')); ?>" title="<?php echo esc_attr(__('Click to insert.')); ?>" />
  				</a>
***************
*** 164,197 ****
  
  			<p id="options"><a href="#" class="select button"><?php _e('Insert Image'); ?></a> <a href="#" class="cancel button"><?php _e('Cancel'); ?></a></p>
  			<?php break;
- 
- 		case 'photo_thickbox_url': ?>
- 			<script type="text/javascript" charset="utf-8">
- 				/* <![CDATA[ */
- 				jQuery('.cancel').click(function() {
- 					tb_remove();
- 				});
- 
- 				jQuery('.select').click(function() {
- 					image_selector();
- 				});
- 				/* ]]> */
- 			</script>
- 			<h3 class="tb"><label for="this_photo"><?php _e('URL') ?></label></h3>
- 			<div class="titlediv">
- 				<div class="titlewrap">
- 					<input id="this_photo" name="this_photo" class="tbtitle text" onkeypress="if(event.keyCode==13) image_selector();" />
- 				</div>
- 			</div>
- 			<h3 class="tb"><label for="photo_description"><?php _e('Description') ?></label></h3>
- 			<div id="titlediv">
- 				<div class="titlewrap">
- 					<input id="this_photo_description" name="photo_description" class="tbtitle text" onkeypress="if(event.keyCode==13) image_selector();" value="<?php echo esc_attr($title);?>"/>
- 				</div>
- 			</div>
- 
- 			<p id="options"><a href="#" class="select"><?php _e('Insert Image'); ?></a> | <a href="#" class="cancel"><?php _e('Cancel'); ?></a></p>
- 			<?php break;
  	case 'photo_images':
  		/**
  		 * Retrieve all image URLs from given URI.
--- 159,164 ----
***************
*** 303,338 ****
  			return false;
  		}
  
! 		function image_selector() {
  			tb_remove();
- 			desc = jQuery('#this_photo_description').val();
- 			src = jQuery('#this_photo').val();
  			pick(src, desc);
  			jQuery('#extra-fields').hide();
  			jQuery('#extra-fields').html('');
  			return false;
  		}
! 			jQuery('#extra-fields').html('<div class="postbox"><h2><?php _e( 'Add Photos' ); ?> <small id="photo_directions">(<?php _e("click images to select") ?>)</small></h2><ul class="actions"><li><a href="#" id="photo-add-url" class="thickbox button"><?php _e("Add from URL") ?> +</a></li></ul><div class="inside"><div class="titlewrap"><div id="img_container"></div></div><p id="options"><a href="#" class="close button"><?php _e('Cancel'); ?></a><a href="#" class="refresh button"><?php _e('Refresh'); ?></a></p></div>');
! 			jQuery('#img_container').html(strtoappend);
  		<?php break;
  }
  die;
  }
  
- ?>
- <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
- <html xmlns="http://www.w3.org/1999/xhtml" <?php do_action('admin_xml_ns'); ?> <?php language_attributes(); ?>>
- <head>
- 	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
- 	<title><?php _e('Press This') ?></title>
- 
- <?php
- 	add_thickbox();
- 	wp_enqueue_style( 'press-this' );
- 	wp_enqueue_style( 'press-this-ie');
  	wp_enqueue_style( 'colors' );
  	wp_enqueue_script( 'post' );
  ?>
  <script type="text/javascript">
  //<![CDATA[
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
--- 270,305 ----
  			return false;
  		}
  
! 		function image_selector(el) {
! 			var desc, src, parent = jQuery(el).closest('#photo-add-url-div');
! 
! 			if ( parent.length ) {
! 				desc = parent.find('input.tb_this_photo_description').val() || '';
! 				src = parent.find('input.tb_this_photo').val() || ''
! 			} else {
! 				desc = jQuery('#tb_this_photo_description').val() || '';
! 				src = jQuery('#tb_this_photo').val() || ''
! 			}
! 
  			tb_remove();
  			pick(src, desc);
  			jQuery('#extra-fields').hide();
  			jQuery('#extra-fields').html('');
  			return false;
  		}
! 
! 		jQuery('#extra-fields').html('<div class="postbox"><h2><?php _e( 'Add Photos' ); ?> <small id="photo_directions">(<?php _e("click images to select") ?>)</small></h2><ul class="actions"><li><a href="#" id="photo-add-url" class="button"><?php _e("Add from URL") ?> +</a></li></ul><div class="inside"><div class="titlewrap"><div id="img_container"></div></div><p id="options"><a href="#" class="close button"><?php _e('Cancel'); ?></a><a href="#" class="refresh button"><?php _e('Refresh'); ?></a></p></div>');
! 		jQuery('#img_container').html(strtoappend);
  		<?php break;
  }
  die;
  }
  
  	wp_enqueue_style( 'colors' );
  	wp_enqueue_script( 'post' );
+ 	_wp_admin_html_begin();
  ?>
+ <title><?php _e('Press This') ?></title>
  <script type="text/javascript">
  //<![CDATA[
  addLoadEvent = function(func){if(typeof jQuery!="undefined")jQuery(document).ready(func);else if(typeof wpOnload!='function'){wpOnload=func;}else{var oldonload=wpOnload;wpOnload=function(){oldonload();func();}}};
***************
*** 348,360 ****
  	do_action('admin_head');
  ?>
  	<script type="text/javascript">
  	function insert_plain_editor(text) {
! 		edCanvas = document.getElementById('content');
! 		edInsertContent(edCanvas, text);
  	}
  	function set_editor(text) {
! 		if ( '' == text || '<p></p>' == text ) text = '<p><br /></p>';
! 		if ( tinyMCE.activeEditor ) tinyMCE.execCommand('mceSetContent', false, text);
  	}
  	function insert_editor(text) {
  		if ( '' != text && tinyMCE.activeEditor && ! tinyMCE.activeEditor.isHidden()) {
--- 315,332 ----
  	do_action('admin_head');
  ?>
  	<script type="text/javascript">
+ 	var wpActiveEditor = 'content';
+ 
  	function insert_plain_editor(text) {
! 		if ( typeof(QTags) != 'undefined' )
! 			QTags.insertContent(text);
  	}
  	function set_editor(text) {
! 		if ( '' == text || '<p></p>' == text )
! 			text = '<p><br /></p>';
! 
! 		if ( tinyMCE.activeEditor )
! 			tinyMCE.execCommand('mceSetContent', false, text);
  	}
  	function insert_editor(text) {
  		if ( '' != text && tinyMCE.activeEditor && ! tinyMCE.activeEditor.isHidden()) {
***************
*** 404,421 ****
  				function setup_photo_actions() {
  					jQuery('.close').click(function() {
  						jQuery('#extra-fields').hide();
  						jQuery('#extra-fields').html('');
  					});
  					jQuery('.refresh').click(function() {
  						photostorage = false;
  						show('photo');
  					});
! 					jQuery('#photo-add-url').attr('href', '?ajax=photo_thickbox_url&height=200&width=500');
  					jQuery('#waiting').hide();
  					jQuery('#extra-fields').show();
  				}
- 				jQuery('#extra-fields').before('<div id="waiting"><img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" /> <?php echo esc_js( __( 'Loading...' ) ); ?></div>');
  
  				if(photostorage == false) {
  					jQuery.ajax({
  						type: "GET",
--- 376,405 ----
  				function setup_photo_actions() {
  					jQuery('.close').click(function() {
  						jQuery('#extra-fields').hide();
+ 						jQuery('body').append( jQuery('#photo-add-url-div') );
  						jQuery('#extra-fields').html('');
  					});
  					jQuery('.refresh').click(function() {
  						photostorage = false;
+ 						jQuery('body').append( jQuery('#photo-add-url-div') );
  						show('photo');
  					});
! 					jQuery('#photo-add-url').click(function(){
! 						var container = jQuery('#img_container');
! 
! 						if ( container.children('#photo-add-url-div:visible').length ) {
! 							container.children('a').show();
! 							jQuery('#photo-add-url-div').hide();
! 						} else {
! 							container.children('a').hide();
! 							container.append( jQuery('#photo-add-url-div').show() );
! 						}
! 					});
  					jQuery('#waiting').hide();
  					jQuery('#extra-fields').show();
  				}
  
+ 				jQuery('#waiting').show();
  				if(photostorage == false) {
  					jQuery.ajax({
  						type: "GET",
***************
*** 439,445 ****
  	}
  	jQuery(document).ready(function($) {
  		//resize screen
! 		window.resizeTo(720,540);
  		// set button actions
  		jQuery('#photo_button').click(function() { show('photo'); return false; });
  		jQuery('#video_button').click(function() { show('video'); return false; });
--- 423,429 ----
  	}
  	jQuery(document).ready(function($) {
  		//resize screen
! 		window.resizeTo(720,580);
  		// set button actions
  		jQuery('#photo_button').click(function() { show('photo'); return false; });
  		jQuery('#video_button').click(function() { show('video'); return false; });
***************
*** 461,486 ****
  </script>
  </head>
  <body class="press-this wp-admin">
- <?php
- if ( user_can_richedit() ) {
- 	wp_tiny_mce( true, array( 'height' => '370' ) );
- }
- ?>
  <form action="press-this.php?action=post" method="post">
  <div id="poststuff" class="metabox-holder">
! 	<div id="side-info-column">
  		<div class="sleeve">
  			<?php wp_nonce_field('press-this') ?>
  			<input type="hidden" name="post_type" id="post_type" value="text"/>
  			<input type="hidden" name="autosave" id="autosave" />
  			<input type="hidden" id="original_post_status" name="original_post_status" value="draft" />
  			<input type="hidden" id="prev_status" name="prev_status" value="draft" />
  
  			<!-- This div holds the photo metadata -->
  			<div class="photolist"></div>
  
  			<div id="submitdiv" class="postbox">
! 				<div class="handlediv" title="<?php _e( 'Click to toggle' ); ?>"><br /></div>
  				<h3 class="hndle"><?php _e('Press This') ?></h3>
  				<div class="inside">
  					<p id="publishing-actions">
--- 445,466 ----
  </script>
  </head>
  <body class="press-this wp-admin">
  <form action="press-this.php?action=post" method="post">
  <div id="poststuff" class="metabox-holder">
! 	<div id="side-sortables" class="press-this-sidebar">
  		<div class="sleeve">
  			<?php wp_nonce_field('press-this') ?>
  			<input type="hidden" name="post_type" id="post_type" value="text"/>
  			<input type="hidden" name="autosave" id="autosave" />
  			<input type="hidden" id="original_post_status" name="original_post_status" value="draft" />
  			<input type="hidden" id="prev_status" name="prev_status" value="draft" />
+ 			<input type="hidden" id="post_id" name="post_id" value="<?php echo (int) $post_ID; ?>" />
  
  			<!-- This div holds the photo metadata -->
  			<div class="photolist"></div>
  
  			<div id="submitdiv" class="postbox">
! 				<div class="handlediv" title="<?php esc_attr_e( 'Click to toggle' ); ?>"><br /></div>
  				<h3 class="hndle"><?php _e('Press This') ?></h3>
  				<div class="inside">
  					<p id="publishing-actions">
***************
*** 502,508 ****
  					<p>
  						<label for="post_format"><?php _e( 'Post Format:' ); ?>
  						<select name="post_format" id="post_format">
! 							<option value="0"><?php _e( 'Standard' ); ?></option>
  						<?php foreach ( $post_formats[0] as $format ): ?>
  							<option<?php selected( $default_format, $format ); ?> value="<?php echo esc_attr( $format ); ?>"> <?php echo esc_html( get_post_format_string( $format ) ); ?></option>
  						<?php endforeach; ?>
--- 482,488 ----
  					<p>
  						<label for="post_format"><?php _e( 'Post Format:' ); ?>
  						<select name="post_format" id="post_format">
! 							<option value="0"><?php _ex( 'Standard', 'Post format' ); ?></option>
  						<?php foreach ( $post_formats[0] as $format ): ?>
  							<option<?php selected( $default_format, $format ); ?> value="<?php echo esc_attr( $format ); ?>"> <?php echo esc_html( get_post_format_string( $format ) ); ?></option>
  						<?php endforeach; ?>
***************
*** 514,520 ****
  
  			<?php $tax = get_taxonomy( 'category' ); ?>
  			<div id="categorydiv" class="postbox">
! 				<div class="handlediv" title="<?php _e( 'Click to toggle' ); ?>"><br /></div>
  				<h3 class="hndle"><?php _e('Categories') ?></h3>
  				<div class="inside">
  				<div id="taxonomy-category" class="categorydiv">
--- 494,500 ----
  
  			<?php $tax = get_taxonomy( 'category' ); ?>
  			<div id="categorydiv" class="postbox">
! 				<div class="handlediv" title="<?php esc_attr_e( 'Click to toggle' ); ?>"><br /></div>
  				<h3 class="hndle"><?php _e('Categories') ?></h3>
  				<div class="inside">
  				<div id="taxonomy-category" class="categorydiv">
***************
*** 564,583 ****
  			</div>
  
  			<div id="tagsdiv-post_tag" class="postbox">
! 				<div class="handlediv" title="<?php _e( 'Click to toggle' ); ?>">
! 					<br/>
! 				</div>
! 				<h3><span><?php _e('Post Tags'); ?></span></h3>
  				<div class="inside">
  					<div class="tagsdiv" id="post_tag">
! 						<p class="jaxtag">
! 							<label class="screen-reader-text" for="newtag"><?php _e('Post Tags'); ?></label>
  							<input type="hidden" name="tax_input[post_tag]" class="the-tags" id="tax-input[post_tag]" value="" />
  							<div class="ajaxtag">
  								<input type="text" name="newtag[post_tag]" class="newtag form-input-tip" size="16" autocomplete="off" value="" />
  								<input type="button" class="button tagadd" value="<?php esc_attr_e('Add'); ?>" tabindex="3" />
  							</div>
! 						</p>
  						<div class="tagchecklist"></div>
  					</div>
  					<p class="tagcloud-link"><a href="#titlediv" class="tagcloud-link" id="link-post_tag"><?php _e('Choose from the most used tags'); ?></a></p>
--- 544,561 ----
  			</div>
  
  			<div id="tagsdiv-post_tag" class="postbox">
! 				<div class="handlediv" title="<?php esc_attr_e( 'Click to toggle' ); ?>"><br /></div>
! 				<h3><span><?php _e('Tags'); ?></span></h3>
  				<div class="inside">
  					<div class="tagsdiv" id="post_tag">
! 						<div class="jaxtag">
! 							<label class="screen-reader-text" for="newtag"><?php _e('Tags'); ?></label>
  							<input type="hidden" name="tax_input[post_tag]" class="the-tags" id="tax-input[post_tag]" value="" />
  							<div class="ajaxtag">
  								<input type="text" name="newtag[post_tag]" class="newtag form-input-tip" size="16" autocomplete="off" value="" />
  								<input type="button" class="button tagadd" value="<?php esc_attr_e('Add'); ?>" tabindex="3" />
  							</div>
! 						</div>
  						<div class="tagchecklist"></div>
  					</div>
  					<p class="tagcloud-link"><a href="#titlediv" class="tagcloud-link" id="link-post_tag"><?php _e('Choose from the most used tags'); ?></a></p>
***************
*** 596,603 ****
  			</h1>
  		</div>
  
! 		<?php if ( isset($posted) && intval($posted) ) { $post_ID = intval($posted); ?>
! 		<div id="message" class="updated"><p><strong><?php _e('Your post has been saved.'); ?></strong> <a onclick="window.opener.location.replace(this.href); window.close();" href="<?php echo get_permalink( $post_ID); ?>"><?php _e('View post'); ?></a> | <a href="<?php echo get_edit_post_link( $post_ID ); ?>" onclick="window.opener.location.replace(this.href); window.close();"><?php _e('Edit Post'); ?></a> | <a href="#" onclick="window.close();"><?php _e('Close Window'); ?></a></p></div>
  		<?php } ?>
  
  		<div id="titlediv">
--- 574,588 ----
  			</h1>
  		</div>
  
! 		<?php
! 		if ( isset($posted) && intval($posted) ) {
! 			$post_ID = intval($posted); ?>
! 			<div id="message" class="updated">
! 			<p><strong><?php _e('Your post has been saved.'); ?></strong>
! 			<a onclick="window.opener.location.replace(this.href); window.close();" href="<?php echo get_permalink($post_ID); ?>"><?php _e('View post'); ?></a>
! 			| <a href="<?php echo get_edit_post_link( $post_ID ); ?>" onclick="window.opener.location.replace(this.href); window.close();"><?php _e('Edit Post'); ?></a>
! 			| <a href="#" onclick="window.close();"><?php _e('Close Window'); ?></a></p>
! 			</div>
  		<?php } ?>
  
  		<div id="titlediv">
***************
*** 606,652 ****
  			</div>
  		</div>
  
  		<div id="extra-fields" style="display: none"></div>
  
  		<div class="postdivrich">
! 			<div id="editor-toolbar">
! 				<?php if ( user_can_richedit() ) :
! 					wp_print_scripts( 'quicktags' );
! 					add_filter('the_editor_content', 'wp_richedit_pre'); ?>
! 					<a id="edButtonHTML" onclick="switchEditors.go('content', 'html');"><?php _e('HTML'); ?></a>
! 					<a id="edButtonPreview" class="active" onclick="switchEditors.go('content', 'tinymce');"><?php _e('Visual'); ?></a>
! 					<div class="zerosize"><input accesskey="e" type="button" onclick="switchEditors.go('content')" /></div>
! 				<?php endif; ?>
  
! 				<div id="media-buttons">
! 					<?php
! 					_e( 'Add:' );
  
! 					if ( current_user_can('upload_files') ) : ?>
! 						<a id="photo_button" title="<?php _e('Insert an Image'); ?>" href="#">
! <img alt="<?php _e('Insert an Image'); ?>" src="<?php echo esc_url( admin_url( 'images/media-button-image.gif?ver=20100531' ) ); ?>"/></a><?php
! 					endif;
! 					?><a id="video_button" title="<?php _e('Embed a Video'); ?>" href="#"><img alt="<?php _e('Embed a Video'); ?>" src="<?php echo esc_url( admin_url( 'images/media-button-video.gif?ver=20100531' ) ); ?>"/></a>
! 				</div>
! 			</div>
! 			<div id="quicktags"></div>
! 			<div class="editor-container">
! 				<textarea name="content" id="content" style="width:100%;" class="theEditor" rows="15"><?php
! 					if ( $selection )
! 						echo wp_richedit_pre($selection);
! 					if ( $url ) {
! 						echo '<p>';
! 						if ( $selection )
! 							_e('via ');
! 						printf( "<a href='%s'>%s</a>.</p>", esc_url( $url ), esc_html( $title ) );
! 					}
! 				?></textarea>
! 			</div>
  		</div>
  	</div>
  </div>
  </form>
! <?php do_action('admin_print_footer_scripts'); ?>
  <script type="text/javascript">if(typeof wpOnload=='function')wpOnload();</script>
  </body>
  </html>
--- 591,659 ----
  			</div>
  		</div>
  
+ 		<div id="waiting" style="display: none"><img src="<?php echo esc_url( admin_url( 'images/wpspin_light.gif' ) ); ?>" alt="" /> <?php esc_html_e( 'Loading...' ); ?></div>
+ 
  		<div id="extra-fields" style="display: none"></div>
  
  		<div class="postdivrich">
! 		<?php
  
! 		$editor_settings = array(
! 			'teeny' => true,
! 			'textarea_rows' => '15'
! 		);
  
! 		$content = '';
! 		if ( $selection )
! 			$content .=  $selection;
! 
! 		if ( $url ) {
! 			$content .= '<p>';
! 
! 			if ( $selection )
! 				$content .= __('via ');
! 
! 			$content .= sprintf( "<a href='%s'>%s</a>.</p>", esc_url( $url ), esc_html( $title ) );
! 		}
! 
! 		remove_action( 'media_buttons', 'media_buttons' );
! 		add_action( 'media_buttons', 'press_this_media_buttons' );
! 		function press_this_media_buttons() {
! 			_e( 'Add:' );
! 
! 			if ( current_user_can('upload_files') ) {
! 				?>
! 				<a id="photo_button" title="<?php esc_attr_e('Insert an Image'); ?>" href="#">
! 				<img alt="<?php esc_attr_e('Insert an Image'); ?>" src="<?php echo esc_url( admin_url( 'images/media-button-image.gif?ver=20100531' ) ); ?>"/></a>
! 				<?php
! 			}
! 			?>
! 			<a id="video_button" title="<?php esc_attr_e('Embed a Video'); ?>" href="#"><img alt="<?php esc_attr_e('Embed a Video'); ?>" src="<?php echo esc_url( admin_url( 'images/media-button-video.gif?ver=20100531' ) ); ?>"/></a>
! 			<?php
! 		}
! 
! 		wp_editor( $content, 'content', $editor_settings );
! 
! 		?>
  		</div>
  	</div>
  </div>
  </form>
! <div id="photo-add-url-div" style="display:none;">
! 	<table><tr>
! 	<td><label for="this_photo"><?php _e('URL') ?></label></td>
! 	<td><input type="text" id="this_photo" name="this_photo" class="tb_this_photo text" onkeypress="if(event.keyCode==13) image_selector(this);" /></td>
! 	</tr><tr>
! 	<td><label for="this_photo_description"><?php _e('Description') ?></label></td>
! 	<td><input type="text" id="this_photo_description" name="photo_description" class="tb_this_photo_description text" onkeypress="if(event.keyCode==13) image_selector(this);" value="<?php echo esc_attr($title);?>"/></td>
! 	</tr><tr>
! 	<td><input type="button" class="button" onclick="image_selector(this)" value="<?php esc_attr_e('Insert Image'); ?>" /></td>
! 	</tr></table>
! </div>
! <?php
! do_action('admin_footer');
! do_action('admin_print_footer_scripts');
! ?>
  <script type="text/javascript">if(typeof wpOnload=='function')wpOnload();</script>
  </body>
  </html>
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/setup-config.php ./wordpress-3.3/wp-admin/setup-config.php
*** ./wordpress-3.2.1/wp-admin/setup-config.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/setup-config.php	2011-11-15 09:47:07.000000000 -0600
***************
*** 78,84 ****
  function display_header() {
  	header( 'Content-Type: text/html; charset=utf-8' );
  ?>
! <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
--- 78,84 ----
  function display_header() {
  	header( 'Content-Type: text/html; charset=utf-8' );
  ?>
! <!DOCTYPE html>
  <html xmlns="http://www.w3.org/1999/xhtml">
  <head>
  <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
***************
*** 130,136 ****
  		<tr>
  			<th scope="row"><label for="pwd">Password</label></th>
  			<td><input name="pwd" id="pwd" type="text" size="25" value="password" /></td>
! 			<td>...and MySQL password.</td>
  		</tr>
  		<tr>
  			<th scope="row"><label for="dbhost">Database Host</label></th>
--- 130,136 ----
  		<tr>
  			<th scope="row"><label for="pwd">Password</label></th>
  			<td><input name="pwd" id="pwd" type="text" size="25" value="password" /></td>
! 			<td>...and your MySQL password.</td>
  		</tr>
  		<tr>
  			<th scope="row"><label for="dbhost">Database Host</label></th>
***************
*** 139,145 ****
  		</tr>
  		<tr>
  			<th scope="row"><label for="prefix">Table Prefix</label></th>
! 			<td><input name="prefix" id="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
  			<td>If you want to run multiple WordPress installations in a single database, change this.</td>
  		</tr>
  	</table>
--- 139,145 ----
  		</tr>
  		<tr>
  			<th scope="row"><label for="prefix">Table Prefix</label></th>
! 			<td><input name="prefix" id="prefix" type="text" value="wp_" size="25" /></td>
  			<td>If you want to run multiple WordPress installations in a single database, change this.</td>
  		</tr>
  	</table>
